package com.ejie.ad74a.ws.client.platea.model.ejgvDocument;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Cuerpo de evento de notificación de PLATEA
 * 
 * @author ansanvic
 * 
 */
@XmlRootElement(name = "datosDireccionPostal")
@XmlAccessorType(XmlAccessType.FIELD)
public class Ad74aDatosDireccionPostal {

	@XmlElement(name = "cp")
	private String cp;

	@XmlElement(name = "datosDireccionPostalvalidCP")
	private String datosDireccionPostalvalidCP;

	@XmlElement(name = "provincia")
	private String provincia;

	@XmlElement(name = "municipio")
	private String municipio;

	@XmlElement(name = "localidad")
	private String localidad;

	@XmlElement(name = "calle")
	private String calle;

	@XmlElement(name = "calleCod")
	private String calleCod;

	@XmlElement(name = "portal")
	private String portal;

	@XmlElement(name = "portalCod")
	private String portalCod;

	@XmlElement(name = "escalera")
	private String escalera;

	@XmlElement(name = "piso")
	private String piso;

	@XmlElement(name = "letra")
	private String letra;

	public String getCp() {
		return cp;
	}

	public void setCp(String cp) {
		this.cp = cp;
	}

	public String getDatosDireccionPostalvalidCP() {
		return datosDireccionPostalvalidCP;
	}

	public void setDatosDireccionPostalvalidCP(String datosDireccionPostalvalidCP) {
		this.datosDireccionPostalvalidCP = datosDireccionPostalvalidCP;
	}

	public String getProvincia() {
		return provincia;
	}

	public void setProvincia(String provincia) {
		this.provincia = provincia;
	}

	public String getMunicipio() {
		return municipio;
	}

	public void setMunicipio(String municipio) {
		this.municipio = municipio;
	}

	public String getLocalidad() {
		return localidad;
	}

	public void setLocalidad(String localidad) {
		this.localidad = localidad;
	}

	public String getCalle() {
		return calle;
	}

	public void setCalle(String calle) {
		this.calle = calle;
	}

	public String getCalleCod() {
		return calleCod;
	}

	public void setCalleCod(String calleCod) {
		this.calleCod = calleCod;
	}

	public String getPortal() {
		return portal;
	}

	public void setPortal(String portal) {
		this.portal = portal;
	}

	public String getEscalera() {
		return escalera;
	}

	public void setEscalera(String escalera) {
		this.escalera = escalera;
	}

	public String getPortalCod() {
		return portalCod;
	}

	public void setPortalCod(String portalCod) {
		this.portalCod = portalCod;
	}

	public String getPiso() {
		return piso;
	}

	public void setPiso(String piso) {
		this.piso = piso;
	}

	public String getLetra() {
		return letra;
	}

	public void setLetra(String letra) {
		this.letra = letra;
	}

}
